Skip to main content
GET
Get the expense transaction details.

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Path Parameters

id
number
required

Response

200 - application/json

The expense transaction have been successfully retrieved.

id
number
required

The unique identifier of the expense

Example:

1

totalAmount
number
required

The total amount of the expense

Example:

1000

currencyCode
string
required

The currency code of the expense

Example:

"USD"

exchangeRate
number
required

The exchange rate used for the expense

Example:

1.2

paymentAccountId
number
required

The ID of the payment account used for this expense

Example:

1

referenceNo
string
required

The reference number of the expense

Example:

"EXP-2024-001"

userId
number
required

The ID of the user who created the expense

Example:

1

paymentDate
string<date-time>
required

The payment date of the expense

Example:

"2024-03-20T10:00:00Z"

payeeId
number
required

The ID of the payee

Example:

1

landedCostAmount
number
required

The landed cost amount of the expense

Example:

800

allocatedCostAmount
number
required

The allocated cost amount of the expense

Example:

200

invoicedAmount
number
required

The invoiced amount of the expense

Example:

0

branchId
number
required

The ID of the branch associated with the expense

Example:

1

createdAt
string<date-time>
required

The creation date of the expense

Example:

"2024-03-20T10:00:00Z"

isPublished
boolean
required

Whether the expense is published

Example:

true

unallocatedCostAmount
number
required

The unallocated cost amount of the expense

Example:

200

localAmount
number
required

The local amount of the expense (total amount * exchange rate)

Example:

1200

localLandedCostAmount
number
required

The local landed cost amount of the expense

Example:

960

localAllocatedCostAmount
number
required

The local allocated cost amount of the expense

Example:

240

localUnallocatedCostAmount
number
required

The local unallocated cost amount of the expense

Example:

240

billableAmount
number
required

The billable amount of the expense

Example:

1000

categories
object[]
required

The categories associated with this expense

description
string

The description of the expense

Example:

"Office supplies and equipment"

publishedAt
string<date-time>

The date when the expense was published

Example:

"2024-03-20T10:00:00Z"